## ros-rolling-bno055 0.2.0

=== requirements.txt ===
# Automatically generated by https://github.com/damnever/pigar.

# bno055/bno055/connectors/uart.py: 36
pyserial == 3.4

=== debian/changelog ===
ros-rolling-bno055 (0.2.0-2focal) focal; urgency=high

  * Merge pull request #36 <https://github.com/flynneva/bno055/issues/36> from flynneva/feature/add-covariance
    [33] add default covariance values, make them configurable
  * fix printout for parameters
  * [33] add defaults for magnetic field covariance values
  * [37] add logic to set offsets
  * [33] add default covariance values, make them configurable
  * Merge pull request #24 <https://github.com/flynneva/bno055/issues/24> from flynneva/fix/scaling_factors
  * [35] add back in comm constants, modify variable names as needed to fix bug introduced by #16 <https://github.com/flynneva/bno055/issues/16>
  * [34] use underscores in setup.cfg instead of dashes
  * [23] fix acc and mag scaling factors and make them configurable
  * only run docs ci on main updates
  * use sh instead of bash script for docs ci
  * use . instead of source for docs ci
  * remove -r from pip install
  * use relative paths for docs ci
  * use absolute paths for docs ci
  * ls in docs ci
  * switch doc generation ci to pre-built docker image
  * source galactic not rolling
  * Merge branch 'develop' of github.com:flynneva/bno055 into develop
  * dont use forked repo for setup-ros
  * Merge branch 'main' into develop
  * fix setup-ros version to 0.2
  * Merge pull request #28 <https://github.com/flynneva/bno055/issues/28> from flynneva/develop
    fix setup ros version to v0.2
  * fix setup ros version to v0.2
  * Merge pull request #27 <https://github.com/flynneva/bno055/issues/27> from flynneva/develop
    use galactic for doc generation
  * Merge pull request #26 <https://github.com/flynneva/bno055/issues/26> from flynneva/feature/sphinx_docs
    use galactic for doc generation, not rolling
  * use galactic for doc generation, not rolling
  * Merge pull request #25 <https://github.com/flynneva/bno055/issues/25> from flynneva/develop
    bring over updates to main, generate docs for first time
  * Merge pull request #16 <https://github.com/flynneva/bno055/issues/16> from flynneva/feature/sphinx_docs
    Feature/sphinx docs
  * fix docs ci path when uploading docs to gh-pages
  * Merge branch 'develop' into feature/sphinx_docs
  * add modules to docs and update registers
  * Merge pull request #21 <https://github.com/flynneva/bno055/issues/21> from flynneva/develop
    normalize quaternion
  * Merge pull request #20 <https://github.com/flynneva/bno055/issues/20> from flynneva/fix/normalize_quaternion
    normalize quaterion
  * normalize quat
  * Merge pull request #19 <https://github.com/flynneva/bno055/issues/19> from flynneva/feature/prebuilt_docker_ci
    move to pre-built ros docker images
  * move to pre-built ros docker images
  * minor docs updates
  * doc page templates
  * starting on docs
  * Merge pull request #13 <https://github.com/flynneva/bno055/issues/13> from flynneva/develop
    bump for release
  * Merge pull request #10 <https://github.com/flynneva/bno055/issues/10> from flynneva/develop
    bring over updates to main
  * Contributors: Evan Flynn, flynneva

 -- flynneva <evanflynn.msu@gmail.com>  Mon, 06 Dec 2021 08:00:00 -0000

ros-rolling-bno055 (0.1.1-2focal) focal; urgency=high

  * add changelog
  * Contributors: flynneva

 -- flynneva <evanflynn.msu@gmail.com>  Thu, 04 Feb 2021 08:00:00 -0000

ros-rolling-bno055 (0.0.1-2focal) focal; urgency=high

  * Merge pull request #12 <https://github.com/flynneva/bno055/issues/12> from flynneva/feature/release_ci
    add release actions
  * add release actions
  * Merge pull request #11 <https://github.com/flynneva/bno055/issues/11> from flynneva/fix/README_updates
    update readme
  * update readme
  * Merge pull request #9 <https://github.com/flynneva/bno055/issues/9> from flynneva/fix/bus_overrun_error
    Fix/bus overrun error
  * fix flake8 errors & recommended changes
  * added bus_over_run_error to exceptions
  * add pycache to .gitignore
  * Merge pull request #8 <https://github.com/flynneva/bno055/issues/8> from flynneva/fix/remove_eol_distro
    remove eloquent from ci
  * Merge pull request #7 <https://github.com/flynneva/bno055/issues/7> from flynneva/fix/no_timer_shutdown
    only shutdown timers if timers are available
    merging this since it is a minor change
  * remove eloquent from ci
  * seperate log output into two lines for readability
  * only shutdown timers if timers are available
  * Merge pull request #6 <https://github.com/flynneva/bno055/issues/6> from flynneva/fix/flake8
    Fix/flake8
  * add flake8 ignore mechanism to README
  * ignore B902 blind except flake8 error
  * copyright fixes
  * fixed flake8 & pep257 errors
  * starting to fix flake8 errors
  * Merge pull request #4 <https://github.com/flynneva/bno055/issues/4> from flynneva/feature/extend-msgs
    Sensor Placement, Calibration Status, Error Handlng
  * 
    
      * graceful ROS node shutdown on Ctrl+C
    
  * 
    
      * fix: adjusted calls to transmit()
    
  * 
    
      * sensor placement is now configurable (axis remap)
    
  * 
    
      * simplified error handling - now exception-based instead of return values
      * periodic publishing of calibration status (period is configurable)
      * configurable ROS topics (configurable prefix) so that they can be unique
    
  * Merge pull request #3 <https://github.com/flynneva/bno055/issues/3> from whatis777/develop
    Basic Project refactorings
  * Merge pull request #1 <https://github.com/flynneva/bno055/issues/1> from whatis777/feature/i2c
    Feature/i2c
  * 
    
      * improved UART message error handling & logging
      * introduced UART timeout parameter
      * adjusted default values for improved communication quality
      * renamed UART related parameters
      * added locks to prevent overlapping data queries
    
  * specify ros distro to linter action
  * results of code review: fixed flake8 findings
  * results of code review
  * added UART read & write calls, clean up


=== debian/control ===
Source: ros-rolling-bno055
Section: misc
Priority: optional
Maintainer: flynneva <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest, python3-serial, ros-rolling-ament-copyright, ros-rolling-ament-flake8, ros-rolling-ament-pep257, ros-rolling-ros-workspace, python3-all, python3-setuptools
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-bno055
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-serial, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Bosch BNO055 IMU driver for ROS2

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

# Python package installation variables
export PYBUILD_INSTALL_ARGS=--prefix "/opt/ros/rolling" \
	--install-lib "\$$base/lib/{interpreter}/site-packages" \
	

%:
	dh $@ -v --buildsystem=pybuild --with python3

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-bno055//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-bno055 0.4.1

=== debian/changelog ===
ros-rolling-bno055 (0.4.1-3jammy) jammy; urgency=high

  * Update CHANGELOG
  * Bump patch version after small bug fix
  * Fix i2c issues found (param and division by zero) (#56 <https://github.com/flynneva/bno055/issues/56>)

 -- flynneva <evanflynn.msu@gmail.com>  Sun, 15 Jan 2023 08:00:00 -0000

ros-rolling-bno055 (0.4.0-3jammy) jammy; urgency=high

  * Bump version for new release
  * Update CHANGELOG for new release
  * Improve the doc strings for the connectors
  * Add I2C implementation (#52 <https://github.com/flynneva/bno055/issues/52>)
  * Merge pull request #50 <https://github.com/flynneva/bno055/issues/50> from flynneva/fix-invalid-log-print
    Fix invalid log string variable expansion
  * Update CI to include Humble
  * Fix invalid log string variable expansion
  * Merge pull request #49 <https://github.com/flynneva/bno055/issues/49> from sjev/operation_mode
  * add device mode setting
  * Contributors: Andrew Symington, Evan Flynn, Jev

 -- flynneva <evanflynn.msu@gmail.com>  Fri, 13 Jan 2023 08:00:00 -0000

ros-rolling-bno055 (0.3.0-3jammy) jammy; urgency=high

  * Merge pull request #43 <https://github.com/flynneva/bno055/issues/43> from flynneva/develop
    bring over updates
  * Merge pull request #44 <https://github.com/flynneva/bno055/issues/44> from Towflos/develop
  * fixed setting of calibration data, added default values for mag and acc radius
  * added example_interfaces to package.xml, added service information to README.md
  * cleanup
  * prefix added to service
  * removed seq, fixed parameters, refactored reading of calibratio data, added service to request calibration data
  * added seq and time to message headers
  * mag_radius and accel_radius added to get_calib_offsets()
  * mag radius and acc radius added as parameter
  * fix greetings for incoming PRs from forks
    see [this nice write up](https://github.com/SalesforceLabs/LightningWebChartJS/pull/95) for details
  * Merge pull request #42 <https://github.com/flynneva/bno055/issues/42> from deepinbubblegum/launch_develop
    Launch develop
  * edit readme launch file
  * add launch file
  * Merge pull request #41 <https://github.com/flynneva/bno055/issues/41> from flynneva/develop
    bring over 0.2.0 updates to main
  * Merge pull request #32 <https://github.com/flynneva/bno055/issues/32> from flynneva/develop
    initial docs up and running
  * Merge pull request #31 <https://github.com/flynneva/bno055/issues/31> from flynneva/develop
    source galactic not rolling
  * Merge pull request #30 <https://github.com/flynneva/bno055/issues/30> from flynneva/develop
    dont use forked repo for setup-ros
  * Merge pull request #29 <https://github.com/flynneva/bno055/issues/29> from flynneva/develop
    fix setup-ros version to 0.2
  * Contributors: Evan Flynn, Florian Herrmann, deepinbubblegum

 -- flynneva <evanflynn.msu@gmail.com>  Tue, 22 Mar 2022 07:00:00 -0000

ros-rolling-bno055 (0.2.0-3jammy) jammy; urgency=high

  * Merge pull request #36 <https://github.com/flynneva/bno055/issues/36> from flynneva/feature/add-covariance
    [33] add default covariance values, make them configurable
  * fix printout for parameters
  * [33] add defaults for magnetic field covariance values
  * [37] add logic to set offsets
  * [33] add default covariance values, make them configurable
  * Merge pull request #24 <https://github.com/flynneva/bno055/issues/24> from flynneva/fix/scaling_factors
  * [35] add back in comm constants, modify variable names as needed to fix bug introduced by #16 <https://github.com/flynneva/bno055/issues/16>
  * [34] use underscores in setup.cfg instead of dashes
  * [23] fix acc and mag scaling factors and make them configurable
  * only run docs ci on main updates
  * use sh instead of bash script for docs ci
  * use . instead of source for docs ci
  * remove -r from pip install
  * use relative paths for docs ci
  * use absolute paths for docs ci
  * ls in docs ci
  * switch doc generation ci to pre-built docker image
  * source galactic not rolling
  * Merge branch 'develop' of github.com:flynneva/bno055 into develop
  * dont use forked repo for setup-ros
  * Merge branch 'main' into develop
  * fix setup-ros version to 0.2
  * Merge pull request #28 <https://github.com/flynneva/bno055/issues/28> from flynneva/develop
    fix setup ros version to v0.2
  * fix setup ros version to v0.2
  * Merge pull request #27 <https://github.com/flynneva/bno055/issues/27> from flynneva/develop
    use galactic for doc generation
  * Merge pull request #26 <https://github.com/flynneva/bno055/issues/26> from flynneva/feature/sphinx_docs
    use galactic for doc generation, not rolling
  * use galactic for doc generation, not rolling
  * Merge pull request #25 <https://github.com/flynneva/bno055/issues/25> from flynneva/develop
    bring over updates to main, generate docs for first time
  * Merge pull request #16 <https://github.com/flynneva/bno055/issues/16> from flynneva/feature/sphinx_docs
    Feature/sphinx docs
  * fix docs ci path when uploading docs to gh-pages
  * Merge branch 'develop' into feature/sphinx_docs
  * add modules to docs and update registers
  * Merge pull request #21 <https://github.com/flynneva/bno055/issues/21> from flynneva/develop
    normalize quaternion
  * Merge pull request #20 <https://github.com/flynneva/bno055/issues/20> from flynneva/fix/normalize_quaternion
    normalize quaterion
  * normalize quat
  * Merge pull request #19 <https://github.com/flynneva/bno055/issues/19> from flynneva/feature/prebuilt_docker_ci
    move to pre-built ros docker images
  * move to pre-built ros docker images
  * minor docs updates
  * doc page templates
  * starting on docs
  * Merge pull request #13 <https://github.com/flynneva/bno055/issues/13> from flynneva/develop
    bump for release
  * Merge pull request #10 <https://github.com/flynneva/bno055/issues/10> from flynneva/develop
    bring over updates to main
  * Contributors: Evan Flynn, flynneva



=== debian/control ===
Source: ros-rolling-bno055
Section: misc
Priority: optional
Maintainer: flynneva <evanflynn.msu@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python3-pytest <!nocheck>, python3-serial, ros-rolling-ament-copyright <!nocheck>, ros-rolling-ament-flake8 <!nocheck>, ros-rolling-ament-pep257 <!nocheck>, ros-rolling-ros-workspace, python3-all, python3-setuptools, dh-python
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-bno055
Architecture: any
Depends: ${python3:Depends}, ${misc:Depends}, python3-serial, ros-rolling-example-interfaces, ros-rolling-rclpy, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: Bosch BNO055 IMU driver for ROS2

=== debian/rules ===
--- 
+++ 
@@ -23,8 +23,10 @@
 	--install-lib "\$$base/lib/{interpreter}/site-packages" \
 	
 
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
 %:
-	dh $@ -v --buildsystem=pybuild --with python3
+	dh $@ -v --buildsystem=pybuild --with python3 --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
